Skip to main content

Network Edge APIs (1.0.0)

Download OpenAPI specification:Download

Network Edge (NE) is a platform that allows customers to deploy and run virtual network services and appliances such as routers, load balancers, and firewalls on a generic device instead of additional dedicated hardware, CapEx and colo space. The Network Edge REST APIs allow you to interact with the Equinix Platform to programmatically create a virtual device and add services. Details on specific use cases can be found in the documentation available on the developer portal.

NetworkEdge Availability & Metros

APIs for setting up the environment, including device types and metros.

Get Device Types

Returns device types (e.g., routers and firewalls) that can be launched on the NE platform.

Authorizations:
BearerAuth
query Parameters
deviceTypeCode
string
Enum: "C8000V" "CSR1000V" "PA-VM" "ASAV" "ISR1100" "VSRX" "FG-VM" "EDGE"
Example: deviceTypeCode=C8000V

Device type code (e.g., C8000V)

category
string
Example: category=ROUTER

Category. One of FIREWALL, ROUTER or SD-WAN

offset
integer <int32>
Default: 0

Specifies where to start a page. It is the starting point of the collection returned from the server.

limit
integer <int32>
Default: 20
Example: limit=20

Specifies the page size.

Responses

Response Schema: application/json
required
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

required
Array of objects (VirtualDeviceType)

Array of available virtual device types

Array
deviceTypeCode
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"

The type of the device.

name
string

The name of the device.

description
string

The description of the device.

vendor
string

The vendor of the device.

category
string
Enum: "ROUTER" "FIREWALL" "SDWAN"

The type of the virtual device, whether router or firewall.

maxInterfaceCount
integer

The maximum available number of interfaces.

defaultInterfaceCount
integer

The default number of interfaces.

clusterMaxInterfaceCount
integer

The maximum number of available interfaces in case you are clustering.

clusterDefaultInterfaceCount
integer

The default number of available interfaces in case you are clustering.

Array of objects (Metro)

An array of metros where the device is available.

Array of objects (SoftwarePackage)

An array of available software packages

deviceManagementTypes
Array of strings
Items Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"

Device management types configuration

Response samples

Content type
application/json
{
  • "pagination": {
    },
  • "data": [
    ]
}

Get Allowed Interfaces

Returns the interface details for a device type with a chosen configuration. You must pass the device type as the path parameter.

Authorizations:
BearerAuth
path Parameters
deviceType
required
string
Enum: "C8000V" "PA-VM" "ISR1100" "VSRX" "FG-VM" "VERSA_SDWAN" "PRISMA-SDWAN" "FG-SDWAN" "CGUARD" "NGINX" "MERAKI-VMX-GA" "INFOBLOX-GRID-MEMBER" "VYOS-ROUTER" "ARISTA-ROUTER" "C8000V-SDWAN" "AVIATRIX_EDGE"
Example: PA-VM

Device type code. PA-VM.

query Parameters
deviceManagementType
required
string
Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"
Example: deviceManagementType=SELF-CONFIGURED

Device management type. SELF-CONFIGURED

mode
string
Enum: "Subscription" "BYOL"
Example: mode=Subscription

License mode, either Subscription or BYOL.

cluster
boolean

Whether you want a cluster device.

sdwan
boolean

Whether you want an SD-WAN device.

connectivity
string
Enum: "INTERNET-ACCESS" "PRIVATE" "INTERNET-ACCESS-WITH-PRVT-MGMT"
Example: connectivity=INTERNET-ACCESS

Type of connectivity you want. INTERNET-ACCESS, PRIVATE, or INTERNET-ACCESS-WITH-PRVT-MGMT. PRIVATE devices do not have ACLs or bandwidth.

core
integer
Example: core=4

The desired number of cores.

memory
integer
Example: memory=4

Desired memory.

unit
string
Example: unit=GB

Unit of memory. GB or MB.

flavor
string
Example: flavor=small

Flavor of device.

version
string
Example: version=17.06.01

Version.

softwarePkg
string
Example: softwarePkg=SEC

Software package.

Responses

Response Schema: application/json
Array of objects (AllowedInterfaceProfiles)

List of allowed interface profiles

Array
count
number

Allowed interface count

Array of objects (InterfaceDetails)

List of interfaces in this profile

default
boolean

Whether this will be the default interface count if you do not provide a number.

Response samples

Content type
application/json
{
  • "interfaceProfiles": [
    ]
}

Get Available Metros

Gets the available list of metros where NE platform is available. Please note that an account must be created for each country where virtual devices are being purchased.

Authorizations:
BearerAuth
query Parameters
region
string
Example: region=AMER

Name of the region for which you want metros (e.g., AMER)

offset
integer <int32>
Default: 0

Specifies where to start a page. It is the starting point of the collection returned from the server.

limit
integer <int32>
Default: 20
Example: limit=20

Specifies the page size.

Responses

Response Schema: application/json
required
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

required
Array of objects (MetroResponse)

Array of available metros

Array
metroCode
string

Metro code

metroDescription
string

Metro description

region
string

Region within which the metro is located

clusterSupported
boolean

Whether this metro supports cluster devices

Response samples

Content type
application/json
{
  • "pagination": {
    },
  • "data": [
    ]
}

Get Accounts {metro}

Gets accounts by metro. You must have an account in a metro to create a virtual device there. To create an account go to "accountCreateUrl".

Authorizations:
BearerAuth
path Parameters
metro
required
string
Example: SV

Metro region for which you want to check your account status

query Parameters
accountUcmId
string
Example: accountUcmId=92D27009-EA33-4b60-B4FB-D3C4ED589649

Unique ID of an account

Responses

Response Schema: application/json
accountCreateUrl
string

The URL to create a new account

Array of objects (MetroAccountResponse)

List of metro accounts

Array
accountName
string

Account name

accountNumber
integer

Account number

accountUcmId
string

Account UCM ID

accountStatus
string
Enum: "ACTIVE" "PENDING" "SUSPENDED"

Account status

metros
Array of strings

An array of metros where the account is valid

creditHold
boolean

Whether the account has a credit hold. You cannot use an account on credit hold to create a device.

referenceId
string

referenceId

errorMessage
string

Error message

errorCode
string

Error code

object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

Response samples

Content type
application/json
{
  • "accountCreateUrl": "https://customerportal.equinix.com",
  • "data": [
    ],
  • "errorMessage": "Invalid input",
  • "errorCode": "EQ-4001530",
  • "pagination": {
    }
}

Get Agreement Status.

Call this API to find out the status of your agreement, whether it is valid or not, or to just read the agreement terms.

Authorizations:
BearerAuth
query Parameters
accountNumber
string
Example: accountNumber=123456

Unique identifier of the customer account.

Responses

Response Schema: application/json
errorMessage
string

Error message if agreement is invalid

isValid
required
boolean

Whether the agreement is valid

terms
string

Agreement terms

termsVersionID
string

Agreement terms version ID

Response samples

Content type
application/json
{
  • "errorMessage": "null",
  • "isValid": true,
  • "terms": "null",
  • "termsVersionID": "null"
}

Create an agreement

Call this API to post an agreement. The authorization token and content-type are the only headers that are passed to this API and a response is received based on the values passed.

Authorizations:
BearerAuth
Request Body schema: application/json
required

agreementAcceptRequest

accountNumber
string

Account number.

apttusId
string

The version number of the agreement.

Responses

Response Schema: application/json
status
string
Enum: "SUCCESS" "FAILED"

Status of the request.

Request samples

Content type
application/json
{
  • "accountNumber": "456446",
  • "apttusId": "c2Z34000002CXRm"
}

Response samples

Content type
application/json
{
  • "status": "SUCCESS"
}

Get Vendor Terms

Returns a link to a vendor's terms. The term "vendor" refers to the vendor of a virtual device on the Network Edge platform.

Authorizations:
BearerAuth
query Parameters
vendorPackage
string
Enum: "VM02" "VM03" "NETWORK-ESSENTIALS"
Example: vendorPackage=NETWORK-ESSENTIALS

The vendor package code.

licenseType
string
Enum: "Subscription" "BYOL"
Example: licenseType=Subscription

The type of license (e.g., Subscription, BYOL).

Responses

Response Schema: application/json
terms
string

Vendor terms URL

Response samples

Get Order Terms

Retrieves the terms and conditions of orders. Please read the terms and conditions before placing an order.

Authorizations:
BearerAuth

Responses

Response Schema: application/json
terms
string

Order terms

Response samples

Content type
application/json
{
  • "terms": "By clicking \"Accept\" you are agreeing to the terms and conditions of this Order on behalf of your Company. You are acknowledging that you have the full authority on behalf of your Company to enter into this online Order \"Order\" as governed by and incorporated by reference into the applicable Master Country Agreement, Interconnection Terms and Conditions, or other similar agreement agreed to between the Parties \"Agreement.\" Unless otherwise defined in this Order or if the context requires otherwise, all capitalized terms used in this Order shall have the meanings ascribed to them in the Agreement.‘Product(s)’ as used in this Order means all the products under this Order, including Licensed Space and/or Services (if any). The Initial Term is the term stated above, which commence on the date the Product(s) are delivered (“Effective Date”). After the Initial Term, the term will automatically renew for a period equal to the Initial Term unless either Party terminates this Order by providing written non-renewal notice 90 days prior to the end of the then-current term to the other Party in which event this Order will terminate at the end of the then-current term. For avoidance of doubt, the notice period for an Initial Term of one month is 30 days, rather than 90 days. This Order incorporates the Product Provider EULA provided by Equinix to the Customer in Attachment A of this Order and the Product Policies, which are attached as Exhibits to the Customer’s Interconnection Terms and Conditions. All Product(s) selected as part of this Order are subject to availability. Equinix, in its sole discretion, reserves the right to reject any handwritten or typed modification to this Agreement or any Order which is not mutually agreed to in writing. For purposes of this Order, the Parties hereby agree that the following ‘Price Increase Terms’ grid is not applicable to the Network Edge Service and is of no force or effect. If you have any questions regarding the terms of this Order, please contact your Equinix Sales Representative. A PRODUCT PROVIDER EULABy clicking \\\"Accept\\\" you are agreeing to the terms and conditions of this Order on behalf of your Company. You are acknowledging that you have the full authority on behalf of your Company to enter into this online Order (\\\"Order\\\") as governed by and incorporated by reference into the applicable Master Country Agreement, Interconnection Terms and Conditions, or other similar agreement agreed to between the Parties (\\\"Agreement\\\"). Unless otherwise defined in this Order or if the context requires otherwise, all capitalized terms used in this Order shall have the meanings ascribed to them in the Agreement.\\r\\n‘Product(s)’ as used in this Order means all the products under this Order, including Licensed Space and/or Services (if any). The Initial Term is the term stated above, which commence on the date the Product(s) are delivered (“Effective Date”). \\r\\n\\r\\nAfter the Initial Term, the term will automatically renew for a period equal to the Initial Term unless either Party terminates this Order by providing written non-renewal notice 90 days prior to the end of the then-current term to the other Party in which event this Order will terminate at the end of the then-current term. For the avoidance of doubt, the notice period for an Initial Term of one month is 30 days, rather than 90 days. \\r\\n\\r\\n\\r\\nThis Order incorporates the Product Provider EULA provided by Equinix to the Customer in Attachment A of this Order and the Product Policies, which are attached as Exhibits to the Customer’s Interconnection Terms and Conditions . All Product(s) selected as part of this Order are subject to availability.\\r\\n\\r\\nEquinix, in its sole discretion, reserves the right to reject any handwritten or typed modification to this Agreement or any Order which is not mutually agreed to in writing. For purposes of this Order, the Parties hereby agree that the following ‘Price Increase Terms’ grid is not applicable to the Network Edge Service and is of no force or effect. If you have any questions regarding the terms of this Order, please contact your Equinix Sales Representative. ATTACHMENT A PRODUCT PROVIDER EULA"
}

Get the Price

Returns the price of a virtual device and license based on account number and other fields. Please note that the listed price does not include the price of any optional features added to the device, some of which are charged.

Authorizations:
BearerAuth
query Parameters
accountNumber
integer <int32>
Example: accountNumber=123456

Account number

metro
string
Example: metro=SV

Metro

vendorPackage
string
Enum: "VM02" "VM03" "NETWORK-ESSENTIALS"
Example: vendorPackage=NETWORK-ESSENTIALS

Vendor package

licenseType
string
Enum: "Subscription" "BYOL"
Example: licenseType=Subscription

License type

softwarePackage
string
Example: softwarePackage=AX

Software package

throughput
integer <int32>
Example: throughput=100

Throughput

throughputUnit
string
Example: throughputUnit=Mbps

Throughput unit

termLength
string
Example: termLength=12

Term length (in months)

additionalBandwidth
integer <int32>
Example: additionalBandwidth=100

Additional bandwidth (in Mbps)

virtualDeviceUuid
string
Example: virtualDeviceUuid=3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Virtual device unique Id (only required if existing device is being modified)

deviceManagementType
string
Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"
Example: deviceManagementType=SELF-CONFIGURED

The device management type

core
integer <int32>
Example: core=4

The number of cores

secondaryAccountNumber
integer <int32>
Example: secondaryAccountNumber=123457

The secondary account number (for HA)

secondaryMetro
string
Example: secondaryMetro=SV

Secondary metro (for HA)

secondaryAdditionalBandwidth
integer <int32>
Example: secondaryAdditionalBandwidth=100

Secondary additional bandwidth (in Mbps for HA)

accountUcmId
string
Example: accountUcmId=92D27009-EA33-4b60-B4FB-D3C4ED589649

Account unique ID

orderingContact
string
Example: orderingContact=cust0001

Reseller customer username

Responses

Response Schema: application/json
object (PriceResponse)

Pricing details response

billingCommencementDateTime
string <date-time>

Billing commencement date.

billingEnabled
boolean

Whether billing is enabled.

Array of objects (Charges)

An array of the monthly recurring charges.

Array
description
string

The description of the charge, whether it is for the virtual device, the device license, or the additional bandwidth.

monthlyRecurringCharges
string

The monthly charges.

currency
string

Currency.

object (PriceResponse)

Pricing details response

billingCommencementDateTime
string <date-time>

Billing commencement date.

billingEnabled
boolean

Whether billing is enabled.

Array of objects (Charges)

An array of the monthly recurring charges.

Array
description
string

The description of the charge, whether it is for the virtual device, the device license, or the additional bandwidth.

monthlyRecurringCharges
string

The monthly charges.

currency
string

Currency.

termLength
string

Term length in months.

Response samples

Content type
application/json
{
  • "primary": {
    },
  • "secondary": {
    },
  • "termLength": "24"
}

Get Order Summary

Gets the order summary as a printable pdf file. This API helps customers who have to go through a PO process at their end to make a purchase and need a formal quote

Authorizations:
BearerAuth
query Parameters
accountNumber
integer <int32>
Example: accountNumber=123456

Account number

metro
string
Example: metro=SV

Metro

vendorPackage
string
Enum: "VM02" "VM03" "NETWORK-ESSENTIALS"
Example: vendorPackage=NETWORK-ESSENTIALS

Vendor package

licenseType
string
Enum: "Subscription" "BYOL"
Example: licenseType=Subscription

License type

softwarePackage
string
Example: softwarePackage=AX

Software package

throughput
integer <int32>
Example: throughput=100

Throughput

throughputUnit
string
Example: throughputUnit=Mbps

Throughput unit

termLength
string
Example: termLength=12

Term length (in months)

additionalBandwidth
integer <int32>
Example: additionalBandwidth=100

Additional bandwidth (in Mbps)

virtualDeviceUuid
string
Example: virtualDeviceUuid=3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Virtual device unique Id (only required if existing device is being modified)

deviceManagementType
string
Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"
Example: deviceManagementType=SELF-CONFIGURED

The device management type

core
integer <int32>
Example: core=4

The number of cores

secondaryAccountNumber
integer <int32>
Example: secondaryAccountNumber=123457

Secondary account number (in case you have a device pair)

secondaryMetro
string
Example: secondaryMetro=SV

Secondary metro (in case you have a device pair)

secondaryAdditionalBandwidth
integer <int32>
Example: secondaryAdditionalBandwidth=100

Secondary additional bandwidth (in Mbps)

accountUcmId
string
Example: accountUcmId=92D27009-EA33-4b60-B4FB-D3C4ED589649

Account unique ID

orderingContact
string
Example: orderingContact=cust0001

Reseller customer username

Responses

Response Schema: application/json
data
Array of objects
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

Get Public Keys

Returns the SSH public keys associated with this organization. If you are a reseller, please pass the account number of you customer to get the public keys.

Authorizations:
BearerAuth
query Parameters
accountUcmId
string
Example: accountUcmId=92D27009-EA33-4b60-B4FB-D3C4ED589649

This field is for resellers. Please pass the accountUcmId of your customer to get the public keys.

Responses

Response Schema: application/json
required
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

required
Array of objects (PublicKeyResponse)

Array of available public keys

Array
uuid
string

The unique Id of the keyName and keyValue combination

keyName
string

Key name

keyValue
string

Key value

keyType
string
Enum: "RSA" "DSA"

Type of key, whether RSA or DSA

Response samples

Content type
application/json
{
  • "pagination": {
    },
  • "data": [
    ]
}

Create Public Key

Creates a public key. If you are a reseller, pass the account number of your customer to create a key-name and key-value pair.

Authorizations:
BearerAuth
Request Body schema: application/json
required

keyName, keyValue, and keyType

keyName
required
string

Key name

keyValue
required
string

Key value

keyType
string
Enum: "RSA" "DSA"

Key type, whether RSA or DSA. Default is RSA.

Responses

Response Headers
Location
string
Example: "/ne/v1/publicKeys/877a3aa2-c49a-4af1-98a6-007424e737ae"

URL of the created public key.

Response Schema: application/json
uuid
string

The unique Id of the keyName and keyValue combination

keyName
string

Key name

keyValue
string

Key value

keyType
string
Enum: "RSA" "DSA"

Type of key, whether RSA or DSA

Request samples

Content type
application/json
{
  • "keyName": "myKeyName",
  • "keyValue": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAgQC5kHcagDZ7utPan4DHWUvoJxwz/DISRFwZdpMhslhZRI+6dGOC8mJn42SlSUAUtkt8Qyl4HipPK7Xh6oGj70Iba1a9pDcURYTYcqWFBEhcdDsMnH1CICmvVdsILehFtiS3X0J1JhwmWQI/7ll3QOk8fLgWCz3idlYJqtMs8Gz/6Q== noname",
  • "keyType": "RSA"
}

Response samples

Content type
application/json
{
  • "uuid": "877a3aa2-c49a-4af1-98a6-007424e737ae",
  • "keyName": "myKeyName",
  • "keyValue": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAgQC5kHcagDZ7utPan4DHWUvoJxwz/DISRFwZdpMhslhZRI+6dGOC8mJn42SlSUAUtkt8Qyl4HipPK7Xh6oGj70Iba1a9pDcURYTYcqWFBEhcdDsMnH1CICmvVdsILehFtiS3X0J1JhwmWQI/7ll3QOk8fLgWCz3idlYJqtMs8Gz/6Q== noname",
  • "keyType": "RSA"
}

Get Downtime Notifications

Returns all planned and unplanned downtime notifications related to APIs and infrastructure. Please pass a token in the header.

Authorizations:
BearerAuth

Responses

Response Schema: application/json
notificationType
string
Enum: "PLANNED" "UNPLANNED"

Type of notification, whether planned or unplanned.

startDateTime
string <date-time>

Start of the downtime.

endDateTime
string <date-time>

End of the downtime.

Array of objects (ImpactedServices)

An array of services impacted by the downtime.

Array
serviceName
string

The name of the impacted service.

impact
string

The type of impact, whether the impacted service is down or delayed.

serviceStartDateTime
string <date-time>

Start of the downtime of the service.

serviceEndDateTime
string <date-time>

End of the downtime of the service.

errorMessage
string

Downtime message of the service.

additionalMessage
string

Any additional messages.

Response samples

Content type
application/json
{
  • "notificationType": "PLANNED",
  • "startDateTime": "2019-08-27T17:30:00Z",
  • "endDateTime": "2019-08-27T17:30:00Z",
  • "impactedServices": [
    ],
  • "additionalMessage": "Network Edge APIs are currently unavailable. Please try again later."
}

Upload File (Post)

Uploads a license or an initialization file. You can use this API to upload your bootstrap file generated from the Aviatrix controller portal. The response includes the unique ID of the uploaded file.

Authorizations:
BearerAuth
Request Body schema: multipart/form-data
required
deviceManagementType
string
Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"

Device management type, whether SELF-CONFIGURED or EQUINIX-CONFIGURED

file
required
string <binary>

A license or a cloud_init file.

licenseType
string
Value: "BYOL"

Type of license (BYOL-Bring Your Own License)

metroCode
required
string

Two-letter metro code.

deviceTypeCode
required
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"

Device type code, e.g., C8000V

processType
required
string
Enum: "LICENSE" "CLOUD_INIT"

Whether you are uploading a license or a cloud_init file. LICENSE or CLOUD_INIT

Responses

Response Schema: application/json
fileUuid
string

The unique ID of the uploaded file.

Response samples

Content type
application/json
{
  • "fileUuid": "029a0bcd-0b2f-4bc5-b875-b506aa4b9738"
}

Post License File

In case you want to bring your own license (BYOL), you can use this API to post a license file before creating a virtual device.

Authorizations:
BearerAuth
query Parameters
metroCode
required
string
Example: metroCode=SV

Two-letter metro code where the device will be created.

deviceTypeCode
required
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"
Example: deviceTypeCode=C8000V

Device type code (e.g., C8000V).

licenseType
required
string
Value: "BYOL"
Example: licenseType=BYOL

Type of license (e.g., BYOL).

Request Body schema: multipart/form-data
required
file
required
string <binary>

License file

Responses

Response Schema: application/json
fileId
string

The unique ID of the uploaded license file.

Response samples

Content type
application/json
{
  • "fileId": "329a0bcd-0b2f-4bc5-b875-b506aa4b9730"
}

Post License {uuid}

In case you want to bring your own license and have already created a virtual device, use this API to post a license file. You can also use this API to renew a license that is about to expire.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique Id of a virtual device

Request Body schema: multipart/form-data
required
file
required
string <binary>

License file

Responses

Response Schema: application/json
fileId
string

The unique ID of the uploaded license file.

Response samples

Content type
application/json
{
  • "fileId": "329a0bcd-0b2f-4bc5-b875-b506aa4b9730"
}

Update License Token/ID/Code

If you want to bring your own license (BYOL), you can use this API to post or update a license token after a virtual device is created.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique Id of a virtual device

Request Body schema: application/json
required

License token

token
string

Responses

Request samples

Content type
application/json
{
  • "token": "A1025025"
}

Response samples

Content type
application/json
{
  • "fileId": "329a0bcd-0b2f-4bc5-b875-b506aa4b9730"
}

Virtual Device

APIs for managing virtual devices, including creation, updates, and deletion.

Get Virtual Devices

Returns all the available virtual devices, i.e. routers and routers, on the Network Edge platform.

Authorizations:
BearerAuth
query Parameters
offset
integer <int32>
Default: 0

Specifies where to start a page. It is the starting point of the collection returned from the server.

limit
integer <int32>
Default: 20
Example: limit=20

Specifies the page size.

metroCode
string
Example: metroCode=SV

Two-letter metro code.

status
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"
Example: status=PROVISIONED

The status of the device.

showOnlySubCustomerDevices
boolean

Resellers may mark this Yes to see sub customer devices.

accountUcmId
string
Example: accountUcmId=123456

Unique ID of the account.

searchText
string
Example: searchText=My-Device

Enter text to fetch only matching device names

sort
Array of strings
Example: sort=name

Sorts the output based on field names.

Responses

Response Schema: application/json
required
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

required
Array of objects (VirtualDeviceDetailsResponse)

Array of available virtual devices

Array
accountName
string

Account name

accountNumber
string

Account number

createdBy
string

Created by user

createdDateTime
string <date-time>

Date and time of creation

deletedBy
string

Deleted by user

deletedDateTime
string <date-time>

Date and time of deletion

deviceSerialNo
string

Device serial number

deviceTypeCategory
string
Enum: "ROUTER" "FIREWALL" "SDWAN"

Device type category (e.g., ROUTER, FIREWALL)

diverseFromDeviceName
string

The name of a device that is in a location different from this device.

diverseFromDeviceUuid
string

The unique ID of a device that is in a location different from this device.

deviceTypeCode
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"

Device type code

deviceTypeName
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"

Device type name

expiry
string

Expiry time

region
string

Region

deviceTypeVendor
string
Enum: "CISCO" "PALO_ALTO_NETWORKS" "JUNIPER" "FORTINET" "ARISTA" "ARUBA" "F5" "BLUECAT" "ZSCALER" "CHECK_POINT" "VMWARE" "SILVER_PEAK" "VERSA_NETWORKS" "AVIATRIX"

Device type vendor

hostName
string

Host name

uuid
string

Device UUID

lastUpdatedBy
string

Last updated by user

lastUpdatedDateTime
string <date-time>

Date and time of last update

licenseFileId
string

License file ID

licenseName
string

License name

licenseStatus
string
Enum: "REGISTERED" "UNREGISTERED" "PENDING" "EXPIRED"

License status

licenseType
string
Enum: "BYOL" "SUB"

License type (e.g., BYOL, SUB)

metroCode
string

Metro code

metroName
string

Metro name

name
string

Device name

notifications
Array of strings

List of notifications

packageCode
string

Package code

packageName
string

Package name

version
string

Device version

purchaseOrderNumber
string

Purchase order number

redundancyType
string
Enum: "PRIMARY" "SECONDARY"

Redundancy type

redundantUuid
string

Redundant device UUID

connectivity
string

Connectivity type

sshIpAddress
string

SSH IP address

sshIpFqdn
string

SSH IP FQDN

sshIpFqdnStatus
string
Enum: "ASSIGNED" "UNASSIGNED"

SSH IP FQDN status

status
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"

Device status

throughput
integer <int32>

Throughput

throughputUnit
string

Throughput unit

object (CoresDisplayConfig)

Core configuration details

object (PricingSiebelConfig)

An object that has the pricing and other details of a Siebel order.

interfaceCount
integer
deviceManagementType
string
Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"

Device management type (e.g., SELF-CONFIGURED, EQUINIX-CONFIGURED)

plane
string
object (UserPublicKeyConfig)

An object with public key details.

managementIp
string
managementGatewayIp
string
publicIp
string
publicGatewayIp
string
primaryDnsName
string

Primary DNS name

secondaryDnsName
string

Secondary DNS name

termLength
string

Term length in months.

newTermLength
string

The term length effective upon the expiration of the current term.

additionalBandwidth
string

Additional bandwidth

siteId
string

Site ID

systemIpAddress
string

System IP address

object (VendorConfig)

Vendor-specific configuration

Array of objects (InterfaceBasicInfoResponse)
asn
number

The ASN number.

channelPartner
string

The name of the channel partner.

Response samples

Content type
application/json
{
  • "pagination": {
    },
  • "data": [
    ]
}

Create Virtual Device

Creates a virtual device. Sub-customers cannot choose the subscription licensing option. To create a device, you must accept the Order Terms. Call Get Order Terms to review the details. If you are creating an Equinix-Configured device, read your vendor's terms by calling Get Vendor Terms.

Authorizations:
BearerAuth
query Parameters
draft
boolean
Default: false

Whether to save this as a draft.

draftUuid
string
Example: draftUuid=3da0a663-20d9-4b8f-8c5d-d5cf706840c8

The unique ID of the draft to be promoted to a device.

Request Body schema: application/json
required

Create a virtual device (e.g., a router or a firewall)

accountNumber
string

Account number. Either an account number or accountReferenceId is required.

accountReferenceId
string

AccountReferenceId. This is a temporary ID that can be used to create a device when the account status is still pending, not active. Either an account number or accountReferenceId is required.

projectId
string

Customer project Id. Check your projectId under Resource Management on Equinix Portal. You should have access to a project to see or create assets under it. Equinix will assign a projectId if you do not provide one.

version
required
string

Version.

deviceTypeCode
required
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"

Virtual device type (device type code)

hostNamePrefix
string

Host name prefix for identification. Only a-z, A-Z, 0-9, and hyphen(-) are allowed. It should start with a letter and end with a letter or digit. The length should be between 2-30 characters. Exceptions - FTDv 2-14 characters; Aruba 2-24 characters.

agreeOrderTerms
required
boolean

To create a device, you must accept the order terms. Call Get Order Terms to review the details. If you are creating an Equinix-Configured device, read your vendor's terms by calling Get Vendor Terms.

licenseMode
required
string
Enum: "SUB" "BYOL"

License type. One of SUB (Subscription) or BYOL (Bring Your Own License)

licenseCategory
string

This field will be deprecated in the future.

licenseFileId
string

For Juniper devices you need to provide a licenseFileId if you want to BYOL (Bring Your Own License). You get a licenseFileId when you upload a license file by calling license upload API (Upload a license file before creating a virtual device). For Cisco devices, you do not need to provide a licenseFileId at the time of device creation. Once the device is provisioned, you can get the deviceSerialNo by calling Get virtual device {uuid} API. With the deviceSerialNo you can generate a license file on Cisco site. Afterward, you can upload the license file by calling license upload API (Upload a license file after creating a virtual device).

licenseToken
string

In case you want to BYOL (Bring Your Own License) for a Palo Alto device, you must provide a license token. This field must have 8 alphanumeric characters.

day0TextFileId
string

Some devices require a day0TextFileId. Upload your license file by calling Upload File API. You'll get a fileUuid in the response. You can enter the value in the day0TextFileId field of the create payload to create a virtual device. Check the payloads of individual devices (provided as Postman Scripts on our API doc site) for details.

termlength
string

Term length in months.

metroCode
required
string

Metro code

packageCode
string

Software package code

Array of objects (SshUsers)

An array of sshUsernames and passwords

Array
sshUsername
string

sshUsername. This should be minimum 3 and maximum 32 characters and include alphanumeric characters, dash, and underscore.

sshPassword
string

sshPassword

sshUserUuid
string

sshUserUuid

action
string
Enum: "CREATE" "UPDATE" "DELETE"

Action to perform on the SSH user

throughput
integer <int32>

Numeric throughput. For Cisco8KV self-configured devices, you can choose either numeric or tier throughput options.

throughputUnit
string

Throughput unit.

tier
integer

Tier throughput. Relevant for Cisco8KV devices. For Cisco8KV self-configured devices, you can choose either numeric or tier throughput options. Possible values - 0, 1, 2, 3. Default - 2

virtualDeviceName
required
string

Virtual device name for identification. This should be minimum 3 and maximum 50 characters long.

orderingContact
string

Username of the ordering contact.

notifications
required
Array of strings

Email addresses for notification. We need a minimum of 1 and no more than 5 email addresses.

Array of objects (ACLDetails)

An array of ACLs

Array
interfaceType
string
Enum: "MGMT" "WAN"

Interface type, whether MGMT or WAN.

uuid
string

The unique ID of ACL.

additionalBandwidth
integer <int32>

Secondary additional bandwidth to be configured (in Mbps for HA). Default bandwidth provided is 15 Mbps.

deviceManagementType
required
string
Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"

Whether the device is SELF-CONFIGURED or EQUINIX-CONFIGURED

core
required
integer <int32>

The desired number of cores.

interfaceCount
integer <int32>

The desired number of interfaces.

siteId
string

Site ID.

systemIpAddress
string

System IP address.

object (VendorConfig)

Vendor-specific configuration

siteId
string

Physical location within the Viptela overlay network, such as a branch office, or a campus (relevant only for Cisco SD-WANs)

systemIpAddress
string

IP assigned to the router and vSmart controller (relevant only for Cisco SD-WANs)

licenseKey
string

License key

licenseSecret
string

License secret

localId
string

Local ID

remoteId
string

Remote ID

managementType
string
Enum: "FMC" "CLI"

Device management type.

controller1
string

For Fortinet devices, this is the System IP address.

controller2
string

Controller 2 IP address

serialNumber
string

Serial number

adminPassword
string

The administrative password of the device. You can use it to log in to the console. This field is not available for all device types. Should be at least 6 characters long and must include an uppercase letter and a number. This field may be required for some vendors.

activationKey
string

Activation key

controllerFqdn
string

Controller FQDN

rootPassword
string

Root password

accountName
string

The name of account.

hostname
string

The host name.

accountKey
string

The account key.

applianceTag
string

The appliance tag.

userName
string

This field is rel

connectToCloudVision
boolean

Whether you want your Arista device to connect to Cloud Vision. Only relevant for Arista devices.

cvpType
string
Enum: "As-a-Service" "On-Premise"

Either As-a-Service or On-Premise. Only relevant for Arista devices.

cvpFqdn
string

Fully qualified domain name for Cloud Vision As-a-Service.

cvpIpAddress
string

Cloud Vision IP address.

cvaasPort
string

Cloud Vision As-a-Service port.

cvpPort
string

Cloud Vision port.

cvpToken
string

Cloud Vision token.

provisioningKey
string

Only relevant for Zscaler devices

privateAddress
string

Private address. Only relevant for BlueCat devices.

privateCidrMask
string

Private CIDR mask. Only relevant for BlueCat devices.

privateGateway
string

Private gateway. Only relevant for BlueCat devices.

licenseId
string

License Id. Only relevant for BlueCat devices.

panoramaIpAddress
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

panoramaAuthKey
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

object (UserPublicKeyRequest)

An object with public key details.

username
string

Username.

keyName
string

Key name. This field may be required for some vendors. The keyName must be an existing keyName associated with an existing keyValue. To set up a new keyName and keyValue pair, call Create Public Key.

ipType
string
Value: "STATIC"

This field is deprecated. The ipType value always defaults to STATIC.

sshInterfaceId
string

You may specify any available interface on the device as the sshInterfaceId. This field is only applicable to self-configured devices.

smartLicenseUrl
string

License URL. This field is only relevant for Ciso ASAv devices.

diverseFromDeviceUuid
string

Unique ID of an existing device. Use this field to let Equinix know if you want your new device to be in a different location from any existing virtual device. This field is only meaningful for single devices.

object (ClusterConfig)

Cluster configuration details

clusterName
string

The cluster name.

object (ClusterNodeDetails)

Details of the nodes in a cluster

object (Node0Details)

Details of node 0 in a cluster

object (Node1Details)

Details of node 1 in a cluster

primaryDeviceUuid
string

This field is mandatory if you are using this API to add a secondary device to an existing primary device.

connectivity
string
Enum: "INTERNET-ACCESS" "PRIVATE" "INTERNET-ACCESS-WITH-PRVT-MGMT"

Specifies the connectivity on the device. You can have INTERNET-ACCESS, PRIVATE, or INTERNET-ACCESS-WITH-PRVT-MGMT. Private devices don't have ACLs or bandwidth.

channelPartner
string

The name of the channel partner.

cloudInitFileId
string

The Id of a previously uploaded license or cloud_init file.

purchaseOrderNumber
string

Purchase Order information will be included in your order confirmation email.

orderReference
string

Enter a short name/number to identify this order on the invoice.

object (VirtualDevicHARequest)

Request to create a secondary HA device

accountNumber
string

Account number

accountReferenceId
string

Account reference ID

version
string

You can only choose a version for the secondary device when adding a secondary device to an existing device.

additionalBandwidth
integer <int32>

Secondary additional bandwidth to be configured (in Mbps for HA). Default bandwidth provided is 15 Mbps.

licenseFileId
string

License file ID

licenseToken
string

License token

day0TextFileId
string

Some devices require a day0TextFileId. Upload your license file by calling Upload File API. You'll get a fileUuid in the response. You can enter the value in the day0TextFileId field of the create payload to create a virtual device. Check the payloads of individual devices (provided as Postman Scripts on our API doc site) for details.

metroCode
required
string

Metro code

notifications
required
Array of strings

List of email addresses for notifications

Array of objects (ACLDetails)

An array of ACLs

Array
interfaceType
string
Enum: "MGMT" "WAN"

Interface type, whether MGMT or WAN.

uuid
string

The unique ID of ACL.

Array of objects (SshUserOperationRequest)

List of SSH users

Array
sshUserUuid
string

Required for DELETE operation.

action
required
string
Enum: "CREATE" "DELETE" "REUSE"

SSH operation to be performed

sshUsername
string

SSH User name

sshPassword
string

SSH Password

virtualDeviceName
required
string

Virtual Device Name

hostNamePrefix
string

Host name prefix for identification. Only a-z, A-Z, 0-9, and hyphen(-) are allowed. It should start with a letter and end with a letter or digit. The length should be between 2-30 characters. Exceptions - FTDv 2-14 characters; Aruba 2-24 characters.

siteId
string

Site ID

systemIpAddress
string

System IP address

object (VendorConfig)

Vendor-specific configuration

siteId
string

Physical location within the Viptela overlay network, such as a branch office, or a campus (relevant only for Cisco SD-WANs)

systemIpAddress
string

IP assigned to the router and vSmart controller (relevant only for Cisco SD-WANs)

licenseKey
string

License key

licenseSecret
string

License secret

localId
string

Local ID

remoteId
string

Remote ID

managementType
string
Enum: "FMC" "CLI"

Device management type.

controller1
string

For Fortinet devices, this is the System IP address.

controller2
string

Controller 2 IP address

serialNumber
string

Serial number

adminPassword
string

The administrative password of the device. You can use it to log in to the console. This field is not available for all device types. Should be at least 6 characters long and must include an uppercase letter and a number. This field may be required for some vendors.

activationKey
string

Activation key

controllerFqdn
string

Controller FQDN

rootPassword
string

Root password

accountName
string

The name of account.

hostname
string

The host name.

accountKey
string

The account key.

applianceTag
string

The appliance tag.

userName
string

This field is rel

connectToCloudVision
boolean

Whether you want your Arista device to connect to Cloud Vision. Only relevant for Arista devices.

cvpType
string
Enum: "As-a-Service" "On-Premise"

Either As-a-Service or On-Premise. Only relevant for Arista devices.

cvpFqdn
string

Fully qualified domain name for Cloud Vision As-a-Service.

cvpIpAddress
string

Cloud Vision IP address.

cvaasPort
string

Cloud Vision As-a-Service port.

cvpPort
string

Cloud Vision port.

cvpToken
string

Cloud Vision token.

provisioningKey
string

Only relevant for Zscaler devices

privateAddress
string

Private address. Only relevant for BlueCat devices.

privateCidrMask
string

Private CIDR mask. Only relevant for BlueCat devices.

privateGateway
string

Private gateway. Only relevant for BlueCat devices.

licenseId
string

License Id. Only relevant for BlueCat devices.

panoramaIpAddress
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

panoramaAuthKey
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

sshInterfaceId
string

You may specify any available interface on the device as the sshInterfaceId. This field is only applicable to self-configured devices.

smartLicenseUrl
string

License URL. This field is only relevant for Ciso ASAv devices.

cloudInitFileId
string

The Id of a previously uploaded license or cloud_init file.

Responses

Request samples

Content type
application/json
{
  • "accountNumber": "10478397",
  • "accountReferenceId": "209809",
  • "projectId": "XXXX-XXXX-XXXXX-XXXXXXXXXXXXXXXX",
  • "version": "16.09.03",
  • "deviceTypeCode": "C8000V",
  • "hostNamePrefix": "mySR",
  • "agreeOrderTerms": true,
  • "licenseMode": "SUB",
  • "licenseCategory": "flex",
  • "licenseFileId": "d6e21e0c-86dd-11e8-adc0-fa7ae01bbebc",
  • "licenseToken": "V74191621",
  • "day0TextFileId": "4cfb5675-5c3f-4275-adba-0c9e3c26c96b",
  • "termlength": "12",
  • "metroCode": "SV",
  • "packageCode": "IPBASE",
  • "sshUsers": [
    ],
  • "throughput": 1,
  • "throughputUnit": "Gbps",
  • "tier": 1,
  • "virtualDeviceName": "Router1-c8000v",
  • "orderingContact": "subuser01",
  • "notifications": [
    ],
  • "aclDetails": [
    ],
  • "additionalBandwidth": 100,
  • "deviceManagementType": "EQUINIX-CONFIGURED",
  • "core": 4,
  • "interfaceCount": 10,
  • "siteId": "12345",
  • "systemIpAddress": "192.168.2.5",
  • "vendorConfig": {
    },
  • "userPublicKey": {
    },
  • "ipType": "STATIC",
  • "sshInterfaceId": "4",
  • "smartLicenseUrl": "https://wwww.equinix.com",
  • "diverseFromDeviceUuid": "ac8a8497-1b6e-42d1-9075-acf23a62ed50",
  • "clusterDetails": {
    },
  • "primaryDeviceUuid": "ac8a8497-1b6e-42d1-9075-acf23a62ed50",
  • "connectivity": "INTERNET-ACCESS",
  • "channelPartner": "SDCI",
  • "cloudInitFileId": "2d732d49-7a00-4839-aeca-8a2ff89da691",
  • "purchaseOrderNumber": "789065",
  • "orderReference": "345678A",
  • "secondary": {
    }
}

Response samples

Content type
application/json
{
  • "uuid": "877a3aa2-c49a-4af1-98a6-007424e737ae"
}

Get Virtual Device {uuid}

Returns the virtual device details of an existing device on the Network Edge platform. You must provide the unique ID of the existing device as a path parameter.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

uuid

Responses

Response Schema: application/json
accountName
string

Account name

accountNumber
string

Account number

createdBy
string

Created by user

createdDateTime
string <date-time>

Date and time of creation

deletedBy
string

Deleted by user

deletedDateTime
string <date-time>

Date and time of deletion

deviceSerialNo
string

Device serial number

deviceTypeCategory
string
Enum: "ROUTER" "FIREWALL" "SDWAN"

Device type category (e.g., ROUTER, FIREWALL)

diverseFromDeviceName
string

The name of a device that is in a location different from this device.

diverseFromDeviceUuid
string

The unique ID of a device that is in a location different from this device.

deviceTypeCode
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"

Device type code

deviceTypeName
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"

Device type name

expiry
string

Expiry time

region
string

Region

deviceTypeVendor
string
Enum: "CISCO" "PALO_ALTO_NETWORKS" "JUNIPER" "FORTINET" "ARISTA" "ARUBA" "F5" "BLUECAT" "ZSCALER" "CHECK_POINT" "VMWARE" "SILVER_PEAK" "VERSA_NETWORKS" "AVIATRIX"

Device type vendor

hostName
string

Host name

uuid
string

Device UUID

lastUpdatedBy
string

Last updated by user

lastUpdatedDateTime
string <date-time>

Date and time of last update

licenseFileId
string

License file ID

licenseName
string

License name

licenseStatus
string
Enum: "REGISTERED" "UNREGISTERED" "PENDING" "EXPIRED"

License status

licenseType
string
Enum: "BYOL" "SUB"

License type (e.g., BYOL, SUB)

metroCode
string

Metro code

metroName
string

Metro name

name
string

Device name

notifications
Array of strings

List of notifications

packageCode
string

Package code

packageName
string

Package name

version
string

Device version

purchaseOrderNumber
string

Purchase order number

redundancyType
string
Enum: "PRIMARY" "SECONDARY"

Redundancy type

redundantUuid
string

Redundant device UUID

connectivity
string

Connectivity type

sshIpAddress
string

SSH IP address

sshIpFqdn
string

SSH IP FQDN

sshIpFqdnStatus
string
Enum: "ASSIGNED" "UNASSIGNED"

SSH IP FQDN status

status
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"

Device status

throughput
integer <int32>

Throughput

throughputUnit
string

Throughput unit

object (CoresDisplayConfig)

Core configuration details

core
integer

Number of cores.

memory
integer

The amount of memory.

unit
string

The unit of memory.

tier
integer

Tier is only relevant for Cisco8000V devices.

object (PricingSiebelConfig)

An object that has the pricing and other details of a Siebel order.

termLength
string

The termlength of the Siebel order.

orderNumber
string

The order number.

core
integer

The core selection on Siebel.

throughput
string

Throughput.

throughputUnit
string

The throughput unit.

packageCode
string

The software package code.

additionalBandwidth
string

The additional bandwidth selection on Siebel.

object

An object that has the charges associated with the primary device.

currency
string

The currency of the charges.

Array of objects (Charges)
object

An object that has the charges associated with the secondary device.

currency
string

The currency of the charges.

Array of objects (Charges)
interfaceCount
integer
deviceManagementType
string
Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"

Device management type (e.g., SELF-CONFIGURED, EQUINIX-CONFIGURED)

plane
string
object (UserPublicKeyConfig)

An object with public key details.

username
string

Username.

publicKeyName
string

Key name.

publicKey
string

The public key.

managementIp
string
managementGatewayIp
string
publicIp
string
publicGatewayIp
string
primaryDnsName
string

Primary DNS name

secondaryDnsName
string

Secondary DNS name

termLength
string

Term length in months.

newTermLength
string

The term length effective upon the expiration of the current term.

additionalBandwidth
string

Additional bandwidth

siteId
string

Site ID

systemIpAddress
string

System IP address

object (VendorConfig)

Vendor-specific configuration

siteId
string

Physical location within the Viptela overlay network, such as a branch office, or a campus (relevant only for Cisco SD-WANs)

systemIpAddress
string

IP assigned to the router and vSmart controller (relevant only for Cisco SD-WANs)

licenseKey
string

License key

licenseSecret
string

License secret

localId
string

Local ID

remoteId
string

Remote ID

managementType
string
Enum: "FMC" "CLI"

Device management type.

controller1
string

For Fortinet devices, this is the System IP address.

controller2
string

Controller 2 IP address

serialNumber
string

Serial number

adminPassword
string

The administrative password of the device. You can use it to log in to the console. This field is not available for all device types. Should be at least 6 characters long and must include an uppercase letter and a number. This field may be required for some vendors.

activationKey
string

Activation key

controllerFqdn
string

Controller FQDN

rootPassword
string

Root password

accountName
string

The name of account.

hostname
string

The host name.

accountKey
string

The account key.

applianceTag
string

The appliance tag.

userName
string

This field is rel

connectToCloudVision
boolean

Whether you want your Arista device to connect to Cloud Vision. Only relevant for Arista devices.

cvpType
string
Enum: "As-a-Service" "On-Premise"

Either As-a-Service or On-Premise. Only relevant for Arista devices.

cvpFqdn
string

Fully qualified domain name for Cloud Vision As-a-Service.

cvpIpAddress
string

Cloud Vision IP address.

cvaasPort
string

Cloud Vision As-a-Service port.

cvpPort
string

Cloud Vision port.

cvpToken
string

Cloud Vision token.

provisioningKey
string

Only relevant for Zscaler devices

privateAddress
string

Private address. Only relevant for BlueCat devices.

privateCidrMask
string

Private CIDR mask. Only relevant for BlueCat devices.

privateGateway
string

Private gateway. Only relevant for BlueCat devices.

licenseId
string

License Id. Only relevant for BlueCat devices.

panoramaIpAddress
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

panoramaAuthKey
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

Array of objects (InterfaceBasicInfoResponse)
Array
id
number

Interface ID.

name
string

Interface name.

status
string
Enum: "ASSIGNED" "AVAILABLE" "RESERVED"

Interface status

operationStatus
string
Enum: "UP" "DOWN"

Interface operational status

macAddress
string

MAC address.

ipAddress
string

IP address.

assignedType
string
Enum: "EQUINIX_MANAGED" "USER_MANAGED"

Assigned type

type
string
Enum: "DATA" "MGMT" "WAN"

The type of interface (e.g., DATA, MGMT, WAN)

asn
number

The ASN number.

channelPartner
string

The name of the channel partner.

Response samples

Content type
application/json
{
  • "accountName": "ABC INC",
  • "accountNumber": "133911",
  • "createdBy": "cust0001",
  • "createdDateTime": "2018-01-30T10:30:31Z",
  • "deletedBy": "cust0001",
  • "deletedDateTime": "2018-01-30T10:30:31Z",
  • "deviceSerialNo": "53791666484",
  • "deviceTypeCategory": "ROUTER",
  • "diverseFromDeviceName": "My-Other-Device",
  • "diverseFromDeviceUuid": "4cfb5675-5c3f-4275-adba-0c9e3c26c96b",
  • "deviceTypeCode": "C8000V",
  • "deviceTypeName": "C8000V",
  • "expiry": "2019-02-07 00:00:00",
  • "region": "AMER",
  • "deviceTypeVendor": "CISCO",
  • "hostName": "VR-SV-C8000V-cust0001-1",
  • "uuid": "877a3aa2-c49a-4af1-98a6-007424e737ae",
  • "lastUpdatedBy": "cust0002",
  • "lastUpdatedDateTime": "2018-01-30T10:30:31Z",
  • "licenseFileId": "877a3aa2-c49a-4af1-98a6-007424e737ae",
  • "licenseName": "Bring your own license",
  • "licenseStatus": "REGISTERED",
  • "licenseType": "BYOL",
  • "metroCode": "SV",
  • "metroName": "Silicon Valley",
  • "name": "AWS-Azure-Router-c8000v",
  • "notifications": [
    ],
  • "packageCode": "SEC",
  • "packageName": "Security",
  • "version": "16.09.02",
  • "purchaseOrderNumber": "PO1223",
  • "redundancyType": "PRIMARY",
  • "redundantUuid": "xxxxx191-xx70-xxxx-xx04-xxxxxxxa67xx",
  • "connectivity": "INTERNET-ACCESS",
  • "sshIpAddress": "10.195.11.23",
  • "sshIpFqdn": "test-device-168-201-97-149.eis.lab.equinix.com",
  • "sshIpFqdnStatus": "ASSIGNED",
  • "status": "PROVISIONED",
  • "throughput": 500,
  • "throughputUnit": "Mbps",
  • "core": {
    },
  • "pricingDetails": {
    },
  • "interfaceCount": 10,
  • "deviceManagementType": "EQUINIX-CONFIGURED",
  • "plane": "PRIMARY",
  • "userPublicKey": {
    },
  • "managementIp": "10.195.237.228/26",
  • "managementGatewayIp": "10.195.237.254",
  • "publicIp": "149.97.198.95/31",
  • "publicGatewayIp": "149.97.198.94",
  • "primaryDnsName": "4.0.0.53",
  • "secondaryDnsName": "129.250.35.250",
  • "termLength": "12",
  • "newTermLength": "24",
  • "additionalBandwidth": "200",
  • "siteId": "12345",
  • "systemIpAddress": "192.168.2.5",
  • "vendorConfig": {
    },
  • "interfaces": [
    ],
  • "asn": 1029,
  • "channelPartner": "SDCI"
}

Update Device Draft

This API is for updating a virtual device draft
and does not support device update as of now.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique Id of a Virtual Device

query Parameters
draft
required
boolean
Example: draft=true

draft

Request Body schema: application/json
required

Update virtual device details

accountNumber
string

Account number. Either an account number or accountReferenceId is required.

accountReferenceId
string

AccountReferenceId. This is a temporary ID that can be used to create a device when the account status is still pending, not active. Either an account number or accountReferenceId is required.

projectId
string

Customer project Id. Check your projectId under Resource Management on Equinix Portal. You should have access to a project to see or create assets under it. Equinix will assign a projectId if you do not provide one.

version
required
string

Version.

deviceTypeCode
required
string
Enum: "C8000V" "CSR1000V" "PA_VM" "ASAV" "ISR1100" "SRX_V" "VSRX" "FORTIGATE_VM" "EDGE"

Virtual device type (device type code)

hostNamePrefix
string

Host name prefix for identification. Only a-z, A-Z, 0-9, and hyphen(-) are allowed. It should start with a letter and end with a letter or digit. The length should be between 2-30 characters. Exceptions - FTDv 2-14 characters; Aruba 2-24 characters.

agreeOrderTerms
required
boolean

To create a device, you must accept the order terms. Call Get Order Terms to review the details. If you are creating an Equinix-Configured device, read your vendor's terms by calling Get Vendor Terms.

licenseMode
required
string
Enum: "SUB" "BYOL"

License type. One of SUB (Subscription) or BYOL (Bring Your Own License)

licenseCategory
string

This field will be deprecated in the future.

licenseFileId
string

For Juniper devices you need to provide a licenseFileId if you want to BYOL (Bring Your Own License). You get a licenseFileId when you upload a license file by calling license upload API (Upload a license file before creating a virtual device). For Cisco devices, you do not need to provide a licenseFileId at the time of device creation. Once the device is provisioned, you can get the deviceSerialNo by calling Get virtual device {uuid} API. With the deviceSerialNo you can generate a license file on Cisco site. Afterward, you can upload the license file by calling license upload API (Upload a license file after creating a virtual device).

licenseToken
string

In case you want to BYOL (Bring Your Own License) for a Palo Alto device, you must provide a license token. This field must have 8 alphanumeric characters.

day0TextFileId
string

Some devices require a day0TextFileId. Upload your license file by calling Upload File API. You'll get a fileUuid in the response. You can enter the value in the day0TextFileId field of the create payload to create a virtual device. Check the payloads of individual devices (provided as Postman Scripts on our API doc site) for details.

termlength
string

Term length in months.

metroCode
required
string

Metro code

packageCode
string

Software package code

Array of objects (SshUsers)

An array of sshUsernames and passwords

Array
sshUsername
string

sshUsername. This should be minimum 3 and maximum 32 characters and include alphanumeric characters, dash, and underscore.

sshPassword
string

sshPassword

sshUserUuid
string

sshUserUuid

action
string
Enum: "CREATE" "UPDATE" "DELETE"

Action to perform on the SSH user

throughput
integer <int32>

Numeric throughput. For Cisco8KV self-configured devices, you can choose either numeric or tier throughput options.

throughputUnit
string

Throughput unit.

tier
integer

Tier throughput. Relevant for Cisco8KV devices. For Cisco8KV self-configured devices, you can choose either numeric or tier throughput options. Possible values - 0, 1, 2, 3. Default - 2

virtualDeviceName
required
string

Virtual device name for identification. This should be minimum 3 and maximum 50 characters long.

orderingContact
string

Username of the ordering contact.

notifications
required
Array of strings

Email addresses for notification. We need a minimum of 1 and no more than 5 email addresses.

Array of objects (ACLDetails)

An array of ACLs

Array
interfaceType
string
Enum: "MGMT" "WAN"

Interface type, whether MGMT or WAN.

uuid
string

The unique ID of ACL.

additionalBandwidth
integer <int32>

Secondary additional bandwidth to be configured (in Mbps for HA). Default bandwidth provided is 15 Mbps.

deviceManagementType
required
string
Enum: "SELF-CONFIGURED" "EQUINIX-CONFIGURED"

Whether the device is SELF-CONFIGURED or EQUINIX-CONFIGURED

core
required
integer <int32>

The desired number of cores.

interfaceCount
integer <int32>

The desired number of interfaces.

siteId
string

Site ID.

systemIpAddress
string

System IP address.

object (VendorConfig)

Vendor-specific configuration

siteId
string

Physical location within the Viptela overlay network, such as a branch office, or a campus (relevant only for Cisco SD-WANs)

systemIpAddress
string

IP assigned to the router and vSmart controller (relevant only for Cisco SD-WANs)

licenseKey
string

License key

licenseSecret
string

License secret

localId
string

Local ID

remoteId
string

Remote ID

managementType
string
Enum: "FMC" "CLI"

Device management type.

controller1
string

For Fortinet devices, this is the System IP address.

controller2
string

Controller 2 IP address

serialNumber
string

Serial number

adminPassword
string

The administrative password of the device. You can use it to log in to the console. This field is not available for all device types. Should be at least 6 characters long and must include an uppercase letter and a number. This field may be required for some vendors.

activationKey
string

Activation key

controllerFqdn
string

Controller FQDN

rootPassword
string

Root password

accountName
string

The name of account.

hostname
string

The host name.

accountKey
string

The account key.

applianceTag
string

The appliance tag.

userName
string

This field is rel

connectToCloudVision
boolean

Whether you want your Arista device to connect to Cloud Vision. Only relevant for Arista devices.

cvpType
string
Enum: "As-a-Service" "On-Premise"

Either As-a-Service or On-Premise. Only relevant for Arista devices.

cvpFqdn
string

Fully qualified domain name for Cloud Vision As-a-Service.

cvpIpAddress
string

Cloud Vision IP address.

cvaasPort
string

Cloud Vision As-a-Service port.

cvpPort
string

Cloud Vision port.

cvpToken
string

Cloud Vision token.

provisioningKey
string

Only relevant for Zscaler devices

privateAddress
string

Private address. Only relevant for BlueCat devices.

privateCidrMask
string

Private CIDR mask. Only relevant for BlueCat devices.

privateGateway
string

Private gateway. Only relevant for BlueCat devices.

licenseId
string

License Id. Only relevant for BlueCat devices.

panoramaIpAddress
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

panoramaAuthKey
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

object (UserPublicKeyRequest)

An object with public key details.

username
string

Username.

keyName
string

Key name. This field may be required for some vendors. The keyName must be an existing keyName associated with an existing keyValue. To set up a new keyName and keyValue pair, call Create Public Key.

ipType
string
Value: "STATIC"

This field is deprecated. The ipType value always defaults to STATIC.

sshInterfaceId
string

You may specify any available interface on the device as the sshInterfaceId. This field is only applicable to self-configured devices.

smartLicenseUrl
string

License URL. This field is only relevant for Ciso ASAv devices.

diverseFromDeviceUuid
string

Unique ID of an existing device. Use this field to let Equinix know if you want your new device to be in a different location from any existing virtual device. This field is only meaningful for single devices.

object (ClusterConfig)

Cluster configuration details

clusterName
string

The cluster name.

object (ClusterNodeDetails)

Details of the nodes in a cluster

object (Node0Details)

Details of node 0 in a cluster

object (Node1Details)

Details of node 1 in a cluster

primaryDeviceUuid
string

This field is mandatory if you are using this API to add a secondary device to an existing primary device.

connectivity
string
Enum: "INTERNET-ACCESS" "PRIVATE" "INTERNET-ACCESS-WITH-PRVT-MGMT"

Specifies the connectivity on the device. You can have INTERNET-ACCESS, PRIVATE, or INTERNET-ACCESS-WITH-PRVT-MGMT. Private devices don't have ACLs or bandwidth.

channelPartner
string

The name of the channel partner.

cloudInitFileId
string

The Id of a previously uploaded license or cloud_init file.

purchaseOrderNumber
string

Purchase Order information will be included in your order confirmation email.

orderReference
string

Enter a short name/number to identify this order on the invoice.

object (VirtualDevicHARequest)

Request to create a secondary HA device

accountNumber
string

Account number

accountReferenceId
string

Account reference ID

version
string

You can only choose a version for the secondary device when adding a secondary device to an existing device.

additionalBandwidth
integer <int32>

Secondary additional bandwidth to be configured (in Mbps for HA). Default bandwidth provided is 15 Mbps.

licenseFileId
string

License file ID

licenseToken
string

License token

day0TextFileId
string

Some devices require a day0TextFileId. Upload your license file by calling Upload File API. You'll get a fileUuid in the response. You can enter the value in the day0TextFileId field of the create payload to create a virtual device. Check the payloads of individual devices (provided as Postman Scripts on our API doc site) for details.

metroCode
required
string

Metro code

notifications
required
Array of strings

List of email addresses for notifications

Array of objects (ACLDetails)

An array of ACLs

Array
interfaceType
string
Enum: "MGMT" "WAN"

Interface type, whether MGMT or WAN.

uuid
string

The unique ID of ACL.

Array of objects (SshUserOperationRequest)

List of SSH users

Array
sshUserUuid
string

Required for DELETE operation.

action
required
string
Enum: "CREATE" "DELETE" "REUSE"

SSH operation to be performed

sshUsername
string

SSH User name

sshPassword
string

SSH Password

virtualDeviceName
required
string

Virtual Device Name

hostNamePrefix
string

Host name prefix for identification. Only a-z, A-Z, 0-9, and hyphen(-) are allowed. It should start with a letter and end with a letter or digit. The length should be between 2-30 characters. Exceptions - FTDv 2-14 characters; Aruba 2-24 characters.

siteId
string

Site ID

systemIpAddress
string

System IP address

object (VendorConfig)

Vendor-specific configuration

siteId
string

Physical location within the Viptela overlay network, such as a branch office, or a campus (relevant only for Cisco SD-WANs)

systemIpAddress
string

IP assigned to the router and vSmart controller (relevant only for Cisco SD-WANs)

licenseKey
string

License key

licenseSecret
string

License secret

localId
string

Local ID

remoteId
string

Remote ID

managementType
string
Enum: "FMC" "CLI"

Device management type.

controller1
string

For Fortinet devices, this is the System IP address.

controller2
string

Controller 2 IP address

serialNumber
string

Serial number

adminPassword
string

The administrative password of the device. You can use it to log in to the console. This field is not available for all device types. Should be at least 6 characters long and must include an uppercase letter and a number. This field may be required for some vendors.

activationKey
string

Activation key

controllerFqdn
string

Controller FQDN

rootPassword
string

Root password

accountName
string

The name of account.

hostname
string

The host name.

accountKey
string

The account key.

applianceTag
string

The appliance tag.

userName
string

This field is rel

connectToCloudVision
boolean

Whether you want your Arista device to connect to Cloud Vision. Only relevant for Arista devices.

cvpType
string
Enum: "As-a-Service" "On-Premise"

Either As-a-Service or On-Premise. Only relevant for Arista devices.

cvpFqdn
string

Fully qualified domain name for Cloud Vision As-a-Service.

cvpIpAddress
string

Cloud Vision IP address.

cvaasPort
string

Cloud Vision As-a-Service port.

cvpPort
string

Cloud Vision port.

cvpToken
string

Cloud Vision token.

provisioningKey
string

Only relevant for Zscaler devices

privateAddress
string

Private address. Only relevant for BlueCat devices.

privateCidrMask
string

Private CIDR mask. Only relevant for BlueCat devices.

privateGateway
string

Private gateway. Only relevant for BlueCat devices.

licenseId
string

License Id. Only relevant for BlueCat devices.

panoramaIpAddress
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

panoramaAuthKey
string

Provide this field to have Panorama integration. Relevant for Palo Alto Self-Configured devices with Internet Access

sshInterfaceId
string

You may specify any available interface on the device as the sshInterfaceId. This field is only applicable to self-configured devices.

smartLicenseUrl
string

License URL. This field is only relevant for Ciso ASAv devices.

cloudInitFileId
string

The Id of a previously uploaded license or cloud_init file.

Responses

Request samples

Content type
application/json
{
  • "accountNumber": "10478397",
  • "accountReferenceId": "209809",
  • "projectId": "XXXX-XXXX-XXXXX-XXXXXXXXXXXXXXXX",
  • "version": "16.09.03",
  • "deviceTypeCode": "C8000V",
  • "hostNamePrefix": "mySR",
  • "agreeOrderTerms": true,
  • "licenseMode": "SUB",
  • "licenseCategory": "flex",
  • "licenseFileId": "d6e21e0c-86dd-11e8-adc0-fa7ae01bbebc",
  • "licenseToken": "V74191621",
  • "day0TextFileId": "4cfb5675-5c3f-4275-adba-0c9e3c26c96b",
  • "termlength": "12",
  • "metroCode": "SV",
  • "packageCode": "IPBASE",
  • "sshUsers": [
    ],
  • "throughput": 1,
  • "throughputUnit": "Gbps",
  • "tier": 1,
  • "virtualDeviceName": "Router1-c8000v",
  • "orderingContact": "subuser01",
  • "notifications": [
    ],
  • "aclDetails": [
    ],
  • "additionalBandwidth": 100,
  • "deviceManagementType": "EQUINIX-CONFIGURED",
  • "core": 4,
  • "interfaceCount": 10,
  • "siteId": "12345",
  • "systemIpAddress": "192.168.2.5",
  • "vendorConfig": {
    },
  • "userPublicKey": {
    },
  • "ipType": "STATIC",
  • "sshInterfaceId": "4",
  • "smartLicenseUrl": "https://wwww.equinix.com",
  • "diverseFromDeviceUuid": "ac8a8497-1b6e-42d1-9075-acf23a62ed50",
  • "clusterDetails": {
    },
  • "primaryDeviceUuid": "ac8a8497-1b6e-42d1-9075-acf23a62ed50",
  • "connectivity": "INTERNET-ACCESS",
  • "channelPartner": "SDCI",
  • "cloudInitFileId": "2d732d49-7a00-4839-aeca-8a2ff89da691",
  • "purchaseOrderNumber": "789065",
  • "orderReference": "345678A",
  • "secondary": {
    }
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete Virtual Devices

Delete a virtual device. For some device types (e.g., Palo Alto devices), you also need to provide a deactivation key as a body parameter. For a device pair, the deleteRedundantDevice field must be marked True so we delete both the devices simultaneously.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique Id of a Virtual Device

query Parameters
deleteRedundantDevice
boolean
Default: false

Optional parameter in case you have a secondary device. As both the primary and secondary devices are deleted simultaneously, this field must be marked True so we delete both the devices simultaneously.

Request Body schema: application/json
optional

deletionInfo

deactivationKey
string

If you do not provide a deactivation key for a Palo Alto BYOL device, you must contact your vendor to release the license.

object (SecondaryDeviceDeleteRequest)

Request to delete a secondary virtual device

deactivationKey
string

Object that holds the secondary deactivation key for a redundant device. If you do not provide a deactivation key for a Palo Alto BYOL device, you must contact your vendor to release the license.

Responses

Request samples

Content type
application/json
{
  • "deactivationKey": "8dfbd5ba3610234d9e550032603cc34762af140533e2c1de0111d3451d16eefd",
  • "secondary": {
    }
}

Response samples

Content type
application/json
[
  • {
    }
]

Update Virtual Device By Uuid

Updates certain fields of a virtual device. You can only update the name, term length, status, and notification list of a virtual device.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique Id of a Virtual Device

Request Body schema: application/json
required
core
integer

Use this field to resize your device. When you call this API for device resizing, you cannot change other fields simultaneously.

notifications
Array of strings
termLength
string

Term length in months.

termLengthEffectiveImmediate
boolean

By default, this field is true. Set it to false if you want to change the term length at the end of the current term. You cannot downgrade the term length before the end of your current term.

virtualDeviceName
string

Virtual device name. This should be a minimum of 3 and a maximum of 50 characters.

clusterName
string

Cluster name. This should be a minimum of 3 and a maximum of 50 characters.

status
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"

Status of the device. Use this field to update the license status of a device.

autoRenewalOptOut
boolean

By default, the autoRenewalOptOut field is false. Set it to true if you do not want to automatically renew your terms. Your device will move to a monthly cycle at the expiration of the current terms.

object

vendor config properties

disablePassword
boolean

Disable device password.

Responses

Request samples

Content type
application/json
{
  • "core": 8,
  • "notifications": [
    ],
  • "termLength": "1, 12, 24, 36",
  • "termLengthEffectiveImmediate": false,
  • "virtualDeviceName": "RCiscoSTROY",
  • "clusterName": "myCluster0123",
  • "status": "PROVISIONED",
  • "autoRenewalOptOut": true,
  • "vendorConfig": {
    }
}

Response samples

Content type
application/json
[
  • {
    }
]

Device Reload History

Returns the reload history of a device. Please send the unique Id of the device as a path parameter.

Authorizations:
BearerAuth
path Parameters
virtualDeviceUUID
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique ID of a virtual device.

query Parameters
offset
integer <int32>
Default: 0

Specifies where to start a page. It is the starting point of the collection returned from the server.

limit
integer <int32>
Default: 20
Example: limit=20

Specifies the page size.

Responses

Response Schema: application/json
required
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

required
Array of objects (DeviceRebootResponse)

Array of available reload history

Array
deviceUUID
string

Unique Id of the device.

status
string
Enum: "SUCCESS" "FAILED" "IN_PROGRESS"

The status of the reboot.

requestedBy
string

Requested by

requestedDateTime
string <date-time>

Requested date

completiondDateTime
string <date-time>

Completion date

Response samples

Content type
application/json
{
  • "pagination": {
    },
  • "data": [
    ]
}

Trigger Soft Reboot

Triggers the soft reboot of a device. Please send the unique Id of the device as a path parameter.

Authorizations:
BearerAuth
path Parameters
virtualDeviceUUID
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique ID of a virtual device.

Responses

Response Headers
Location
string
Example: "/ne/v1/devices/3da0a663-20d9-4b8f-8c5d-d5cf706840c8/softReboot"

URL of the created RMA request.

Response samples

Content type
application/json
[
  • {
    }
]

Update Additional Bandwidth

You can use this method to change or add additional bandwidth to a virtual device.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

The unique Id of a virtual device

Request Body schema: application/json
required

Additional Bandwidth

additionalBandwidth
integer

Additional bandwidth in Mbps.

Responses

Request samples

Content type
application/json
{
  • "additionalBandwidth": 100
}

Response samples

Content type
application/json
[
  • {
    }
]

Get Device Interfaces

Returns the status of the interfaces of a device. You must pass the unique Id of the device as a path parameter.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

uuid

Responses

Response Schema: application/json
Array
id
number

Interface ID.

name
string

Interface name.

status
string
Enum: "ASSIGNED" "AVAILABLE" "RESERVED"

Interface status

operationStatus
string
Enum: "UP" "DOWN"

Interface operational status

macAddress
string

MAC address.

ipAddress
string

IP address.

assignedType
string
Enum: "EQUINIX_MANAGED" "USER_MANAGED"

Assigned type

type
string
Enum: "DATA" "MGMT" "WAN"

The type of interface (e.g., DATA, MGMT, WAN)

Response samples

Content type
application/json
[
  • {
    }
]

Ping Virtual Device

Pings a virtual device to ensure it's reachable. At this point, you can only ping a few SELF-CONFIGURED devices.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Virtual Device unique Id

Responses

Response Schema: application/json
message
string

Ping response message.

Response samples

Content type
application/json
{
  • "message": "The device is reachable."
}

Get Interface Statistics

Returns the throughput statistics of a device interface. Pass the unique Id of the device and the interface Id as path parameters.

Authorizations:
BearerAuth
path Parameters
virtualDeviceUuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique Id of a device

interfaceId
required
string
Example: 1

Interface Id

query Parameters
startDateTime
string <date-time>
Example: startDateTime=2023-11-10T19:06:06Z

Start time of the duration for which you want stats. (YYYY-MM-DDThh:mm:ssZ)

endDateTime
string <date-time>
Example: endDateTime=2023-11-17T19:06:06Z

End time of the duration for which you want stats. (YYYY-MM-DDThh:mm:ssZ)

Responses

Response Schema: application/json
object (InterfaceStatsDetailObject)

Detailed interface statistics

startDateTime
string <date-time>

Start time of the duration for which you want stats.

endDateTime
string <date-time>

End time of the duration for which you want stats.

unit
string

Unit.

object (InterfaceStatsofTraffic)

Interface traffic statistics

max
number

Max throughput during the time interval.

mean
number

Mean throughput during the time interval.

lastPolled
number

The throughput of the last polled data.

Array of objects (PolledThroughputMetrics)

Array of polled throughput metrics

object (InterfaceStatsofTraffic)

Interface traffic statistics

max
number

Max throughput during the time interval.

mean
number

Mean throughput during the time interval.

lastPolled
number

The throughput of the last polled data.

Array of objects (PolledThroughputMetrics)

Array of polled throughput metrics

Response samples

Content type
application/json
{
  • "stats": {
    }
}

Get Device Upgrade History

Returns the upgrade history of a device. Please send the unique Id of the device as a path parameter.

Authorizations:
BearerAuth
path Parameters
virtualDeviceUuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique ID of a virtual device.

query Parameters
offset
integer <int32>
Default: 0

Specifies where to start a page. It is the starting point of the collection returned from the server.

limit
integer <int32>
Default: 20
Example: limit=20

Specifies the page size.

Responses

Response Schema: application/json
required
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

required
Array of objects (DeviceUpgradeDetailsResponse)

Array of available upgrade history

Array
uuid
string

Unique Id of the upgrade.

virtualDeviceUuid
string

Unique Id of the device.

status
string
Enum: "REQUEST_ACCEPTED" "IN_PROGRESS" "SUCCESS" "FAILED" "CANCELLED"

The status of the upgrade. REQUEST_ACCEPTED, IN_PROGRESS, SUCCESS, FAILED, CANCELLED

requestedDateTime
string <date-time>

Requested date

completiondDateTime
string <date-time>

Completion date

requestedBy
string

Requested by.

Response samples

Content type
application/json
{
  • "pagination": {
    },
  • "data": [
    ]
}

BGP

APIs for managing BGP peering configurations.

Get BGP Peering

Returns BGP configurations on the Network Edge platform. Authorization checks are performed on the users of this API.

Authorizations:
BearerAuth
query Parameters
virtualDeviceUuid
string
Example: virtualDeviceUuid=3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique Id of a virtual device

connectionUuid
string
Example: connectionUuid=f79eead8-b837-41d3-9095-9b15c2c4996d

Unique Id of a connection

status
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"
Example: status=PROVISIONED

Provisioning status of BGP Peering

accountUcmId
string
Example: accountUcmId=92D27009-EA33-4b60-B4FB-D3C4ED589649

Unique Id of an account. A reseller querying for a customer's devices can input the accountUcmId of the customer's account.

offset
integer <int32>
Default: 0

Specifies where to start a page. It is the starting point of the collection returned from the server.

limit
integer <int32>
Default: 20
Example: limit=20

Specifies the page size.

Responses

Response Schema: application/json
required
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

required
Array of objects (BgpInfo)

Array of available BGP configurations

Array
authenticationKey
string

Authentication key

connectionUuid
string

Connection UUID

createdBy
string

Created by user

createdByEmail
string

Created by email

createdByFullName
string

Created by full name

createdDateTime
string <date-time>

Created date

deletedBy
string

Deleted by user

deletedByEmail
string

Deleted by email

deletedByFullName
string

Deleted by full name

deletedDateTime
string <date-time>

Deleted date

lastUpdatedBy
string

Last updated by user

lastUpdatedByEmail
string

Last updated by email

lastUpdatedByFullName
string

Last updated by full name

lastUpdatedDateTime
string <date-time>

Last updated date

localAsn
integer <int64>

Local ASN

localIpAddress
string

Local IP address

provisioningStatus
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"

Provisioning status

remoteAsn
integer <int64>

Remote ASN

remoteIpAddress
string

Remote IP address

state
string
Enum: "IDLE" "CONNECT" "ACTIVE" "OPENSENT" "OPENCONFIRM" "ESTABLISHED"

State

uuid
string

BGP configuration UUID

virtualDeviceUuid
string

Virtual device UUID

Response samples

Content type
application/json
{
  • "pagination": {
    },
  • "data": [
    ]
}

Create BGP Peering

Creates a BGP session to establish a point-to-point connection between your virtual device and cloud service provider. To create BGP peers, you must have a virtual device that is provisioned and registered and a provisioned connection.

Authorizations:
BearerAuth
Request Body schema: application/json
optional

BGP configuration details

authenticationKey
string

Provide a key value that you can use later to authenticate.

connectionUuid
string

The unique Id of a connection between the virtual device and the cloud service provider

localAsn
integer <int64>

Local ASN (autonomous system network). This is the ASN of the virtual device.

localIpAddress
string

Local IP Address. This is the IP address of the virtual device in CIDR format.

remoteAsn
integer <int64>

Remote ASN (autonomous system network). This is the ASN of the cloud service provider.

remoteIpAddress
string

Remote IP Address. This is the IP address of the cloud service provider.

Responses

Request samples

Content type
application/json
{
  • "authenticationKey": "pass123",
  • "connectionUuid": "f79eead8-b837-41d3-9095-9b15c2c4996d",
  • "localAsn": 10012,
  • "localIpAddress": "100.210.1.221/30",
  • "remoteAsn": 10013,
  • "remoteIpAddress": "100.210.1.31"
}

Response samples

Content type
application/json
{
  • "uuid": "f79eead8-b837-41d3-9095-9b15c2c4996d"
}

Get BGP Peering {uuid}

Gets a BGP peering configuration by its unique Id. Authorization checks are performed on the users of this API.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

uuid

Responses

Response Schema: application/json
authenticationKey
string

Authentication key

connectionUuid
string

Connection UUID

createdBy
string

Created by user

createdByEmail
string

Created by email

createdByFullName
string

Created by full name

createdDateTime
string <date-time>

Created date

deletedBy
string

Deleted by user

deletedByEmail
string

Deleted by email

deletedByFullName
string

Deleted by full name

deletedDateTime
string <date-time>

Deleted date

lastUpdatedBy
string

Last updated by user

lastUpdatedByEmail
string

Last updated by email

lastUpdatedByFullName
string

Last updated by full name

lastUpdatedDateTime
string <date-time>

Last updated date

localAsn
integer <int64>

Local ASN

localIpAddress
string

Local IP address

provisioningStatus
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"

Provisioning status

remoteAsn
integer <int64>

Remote ASN

remoteIpAddress
string

Remote IP address

state
string
Enum: "IDLE" "CONNECT" "ACTIVE" "OPENSENT" "OPENCONFIRM" "ESTABLISHED"

State

uuid
string

BGP configuration UUID

virtualDeviceUuid
string

Virtual device UUID

Response samples

Content type
application/json
{
  • "authenticationKey": "pass123",
  • "connectionUuid": "f79eead8-b837-41d3-9095-9b15c2c4996d",
  • "createdBy": "jsmith",
  • "createdByEmail": "jsmith@example.com",
  • "createdByFullName": "John Smith",
  • "createdDateTime": "2023-11-10T19:32:14Z",
  • "deletedBy": "jsmith",
  • "deletedByEmail": "jsmith@example.com",
  • "deletedByFullName": "John Smith",
  • "deletedDateTime": "2023-11-10T19:32:14Z",
  • "lastUpdatedBy": "jsmith",
  • "lastUpdatedByEmail": "jsmith@example.com",
  • "lastUpdatedByFullName": "John Smith",
  • "lastUpdatedDateTime": "2023-11-10T19:32:14Z",
  • "localAsn": 65001,
  • "localIpAddress": "10.0.0.1/30",
  • "provisioningStatus": "PROVISIONED",
  • "remoteAsn": 65002,
  • "remoteIpAddress": "10.0.0.2",
  • "state": "ESTABLISHED",
  • "uuid": "f79eead8-b837-41d3-9095-9b15c2c4996d",
  • "virtualDeviceUuid": "f79eead8-b837-41d3-9095-9b15c2c4996d"
}

Update BGP Peering

Updates an existing BGP peering configuration identified by its unique Id. Authorization checks are performed on the users of this API.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 3da0a663-20d9-4b8f-8c5d-d5cf706840c8

uuid

Request Body schema: application/json
optional

BGP config

authenticationKey
string

Authentication Key

localAsn
integer <int64>

Local ASN

localIpAddress
string

Local IP Address with subnet

remoteAsn
integer <int64>

Remote ASN

remoteIpAddress
string

Remote IP Address

Responses

Request samples

Content type
application/json
{
  • "authenticationKey": "pass123",
  • "localAsn": 10012,
  • "localIpAddress": "100.210.1.221/30",
  • "remoteAsn": 10013,
  • "remoteIpAddress": "100.210.1.31"
}

Response samples

Content type
application/json
{
  • "uuid": "f79eead8-b837-41d3-9095-9b15c2c4996d"
}

VPN

APIs for managing VPN configurations.

Get VPN Configurations

Gets all VPN configurations by user name and specified parameter(s). Authorization checks are performed on the users of this API.

Authorizations:
BearerAuth
query Parameters
statusList
Array of strings
Items Enum: "PROVISIONED" "PROVISIONING" "PROVISIONING_RETRYING" "UPDATING" "PROVISIONING_UPDATE_RETRYING" "DEPROVISIONED" "DEPROVISIONING" "DEPROVISIONING_RETRYING" "PROVISIONING_FAILED" "PROVISIONING_UPDATE_FAILED" "DEPROVISIONING_FAILED"
Example: statusList=PROVISIONED

One or more desired status

virtualDeviceUuid
string
Example: virtualDeviceUuid=3da0a663-20d9-4b8f-8c5d-d5cf706840c8

Unique Id of a virtual device

offset
integer <int32>
Default: 0

Specifies where to start a page. It is the starting point of the collection returned from the server.

limit
integer <int32>
Default: 20
Example: limit=20

Specifies the page size.

Responses

Response Schema: application/json
required
object (PaginationResponse)
offset
required
integer

It is the starting point of the collection returned from the server

limit
required
integer

The page size

total
required
integer

The total number of results

required
Array of objects (VpnResponse)

Array of available VPN configurations

Array
siteName
required
string

Site name

uuid
string

Connection UUID

virtualDeviceUuid
required
string

Virtual device UUID

configName
string

Configuration name

status
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"

VPN status

peerIp
required
string

Peer IP address

peerSharedKey
required
string

Peer shared key

remoteAsn
required
integer <int64>

Remote Customer ASN - Customer side

remoteIpAddress
required
string

Remote Customer IP Address - Customer side

password
required
string

BGP Password

localAsn
integer <int64>

Local ASN - Equinix side

tunnelIp
required
string

Local Tunnel IP Address in CIDR format

bgpState
string
Enum: "ESTABLISHED" "IDLE" "ACTIVE" "CONNECT" "OPENSENT" "OPENCONFIRM"

BGP state

inboundBytes
string

Inbound bytes

inboundPackets
string

Inbound packets

outboundBytes
string

Outbound bytes

outboundPackets
string

Outbound packets

tunnelStatus
string
Enum: "UP" "DOWN"

Tunnel status

custOrgId
integer <int64>

Customer organization ID

createdDateTime
string <date-time>

Created date

createdByFirstName
string

Created by first name

createdByLastName
string

Created by last name

createdByEmail
string

Created by email

createdByUserKey
integer <int64>

Created by user key

createdByAccountUcmId
integer <int64>

Created by account UCM ID

createdByUserName
string

Created by username

createdByCustOrgId
integer <int64>

Created by customer organization ID

createdByCustOrgName
string

Created by customer organization name

createdByUserStatus
string
Enum: "ACTIVATED" "DEACTIVATED" "PENDING"

User status

createdByCompanyName
string

Created by company name

lastUpdatedDateTime
string <date-time>

Last updated date

updatedByFirstName
string

Updated by first name

updatedByLastName
string

Updated by last name

updatedByEmail
string

Updated by email

updatedByUserKey
integer <int64>

Updated by user key

updatedByAccountUcmId
integer <int64>

Updated by account UCM ID

updatedByUserName
string

Updated by username

updatedByCustOrgId
integer <int64>

Updated by customer organization ID

updatedByCustOrgName
string

Updated by customer organization name

updatedByUserStatus
string
Enum: "ACTIVATED" "DEACTIVATED" "PENDING"

User status

updatedByCompanyName
string

Updated by company name

Response samples

Content type
application/json
{
  • "pagination": {
    },
  • "data": [
    ]
}

Create VPN Configuration

Creates a VPN configuration. You must have a provisioned virtual device with a registered license to create a VPN.

Authorizations:
BearerAuth
Request Body schema: application/json
optional

VPN info

siteName
required
string

Name of the site

virtualDeviceUuid
required
string

The unique Id of the primary device.

configName
string

Configuration name

peerIp
required
string

Peer IP address

peerSharedKey
required
string

Peer shared key

remoteAsn
required
integer <int64>

Remote Customer ASN - Customer side

remoteIpAddress
required
string

Remote Customer IP Address - Customer side

password
required
string

BGP Password

localAsn
integer <int64>

Local ASN - Equinix side

tunnelIp
required
string

Local Tunnel IP Address in CIDR format

object (VpnRequest)

VPN request details

configName
string

Configuration name

peerIp
required
string

Peer IP address

peerSharedKey
required
string

Peer shared key

remoteAsn
required
integer <int64>

Remote Customer ASN - Customer side

remoteIpAddress
required
string

Remote Customer IP Address - Customer side

password
required
string

BGP Password

localAsn
integer <int64>

Local ASN - Equinix side

tunnelIp
required
string

Local Tunnel IP Address in CIDR format

Responses

Request samples

Content type
application/json
{
  • "siteName": "Chicago",
  • "virtualDeviceUuid": "f79eead8-b837-41d3-9095-9b15c2c4996d",
  • "configName": "Traffic from AWS cloud",
  • "peerIp": "110.11.12.222",
  • "peerSharedKey": "5bb2424e888bd",
  • "remoteAsn": 65413,
  • "remoteIpAddress": "100.210.1.31",
  • "password": "pass123",
  • "localAsn": 65414,
  • "tunnelIp": "192.168.7.2/30",
  • "secondary": {
    }
}

Response samples

Content type
application/json
[
  • {
    }
]

Get VPN Configuration {uuid}

Gets a VPN configuration by its unique Id. Authorization checks are performed on the users of this API.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 877a3aa2-c49a-4af1-98a6-007424e737ae

uuid

Responses

Response Schema: application/json
siteName
required
string

Site name

uuid
string

Connection UUID

virtualDeviceUuid
required
string

Virtual device UUID

configName
string

Configuration name

status
string
Enum: "PROVISIONED" "PROVISIONING" "DEPROVISIONED" "DEPROVISIONING" "FAILED"

VPN status

peerIp
required
string

Peer IP address

peerSharedKey
required
string

Peer shared key

remoteAsn
required
integer <int64>

Remote Customer ASN - Customer side

remoteIpAddress
required
string

Remote Customer IP Address - Customer side

password
required
string

BGP Password

localAsn
integer <int64>

Local ASN - Equinix side

tunnelIp
required
string

Local Tunnel IP Address in CIDR format

bgpState
string
Enum: "ESTABLISHED" "IDLE" "ACTIVE" "CONNECT" "OPENSENT" "OPENCONFIRM"

BGP state

inboundBytes
string

Inbound bytes

inboundPackets
string

Inbound packets

outboundBytes
string

Outbound bytes

outboundPackets
string

Outbound packets

tunnelStatus
string
Enum: "UP" "DOWN"

Tunnel status

custOrgId
integer <int64>

Customer organization ID

createdDateTime
string <date-time>

Created date

createdByFirstName
string

Created by first name

createdByLastName
string

Created by last name

createdByEmail
string

Created by email

createdByUserKey
integer <int64>

Created by user key

createdByAccountUcmId
integer <int64>

Created by account UCM ID

createdByUserName
string

Created by username

createdByCustOrgId
integer <int64>

Created by customer organization ID

createdByCustOrgName
string

Created by customer organization name

createdByUserStatus
string
Enum: "ACTIVATED" "DEACTIVATED" "PENDING"

User status

createdByCompanyName
string

Created by company name

lastUpdatedDateTime
string <date-time>

Last updated date

updatedByFirstName
string

Updated by first name

updatedByLastName
string

Updated by last name

updatedByEmail
string

Updated by email

updatedByUserKey
integer <int64>

Updated by user key

updatedByAccountUcmId
integer <int64>

Updated by account UCM ID

updatedByUserName
string

Updated by username

updatedByCustOrgId
integer <int64>

Updated by customer organization ID

updatedByCustOrgName
string

Updated by customer organization name

updatedByUserStatus
string
Enum: "ACTIVATED" "DEACTIVATED" "PENDING"

User status

updatedByCompanyName
string

Updated by company name

Response samples

Content type
application/json
{
  • "siteName": "Chicago",
  • "uuid": "877a3aa2-c49a-4af1-98a6-007424e737ae",
  • "virtualDeviceUuid": "f79eead8-b837-41d3-9095-9b15c2c4996d",
  • "configName": "Traffic from AWS cloud",
  • "status": "PROVISIONED",
  • "peerIp": "110.11.12.222",
  • "peerSharedKey": "5bb2424e888bd",
  • "remoteAsn": 65413,
  • "remoteIpAddress": "100.210.1.31",
  • "password": "pass123",
  • "localAsn": 65414,
  • "tunnelIp": "192.168.7.2/30",
  • "bgpState": "ESTABLISHED",
  • "inboundBytes": "8780",
  • "inboundPackets": "8780",
  • "outboundBytes": "8765",
  • "outboundPackets": "8765",
  • "tunnelStatus": "UP",
  • "custOrgId": 65555,
  • "createdDateTime": "2018-05-18T06:34:26Z",
  • "createdByFirstName": "John",
  • "createdByLastName": "Smith",
  • "createdByEmail": "alpha@beta.com",
  • "createdByUserKey": 123,
  • "createdByAccountUcmId": 456,
  • "createdByUserName": "jsmith",
  • "createdByCustOrgId": 7863,
  • "createdByCustOrgName": "My Awesome Org",
  • "createdByUserStatus": "ACTIVATED",
  • "createdByCompanyName": "My Awesome Company",
  • "lastUpdatedDateTime": "2018-07-21T05:20:20Z",
  • "updatedByFirstName": "John",
  • "updatedByLastName": "Smith",
  • "updatedByEmail": "alpha@beta.com",
  • "updatedByUserKey": 123,
  • "updatedByAccountUcmId": 456,
  • "updatedByUserName": "jsmith",
  • "updatedByCustOrgId": 7863,
  • "updatedByCustOrgName": "My Awesome Org",
  • "updatedByUserStatus": "ACTIVATED",
  • "updatedByCompanyName": "My Awesome Company"
}

Update VPN Configuration

Update a VPN configuration by its unique Id. Authorization checks are performed on the users of this API.

Authorizations:
BearerAuth
path Parameters
uuid
required
string
Example: 877a3aa2-c49a-4af1-98a6-007424e737ae

uuid

Request Body schema: application/json
optional

VPN info

siteName
required
string

Name of the site

virtualDeviceUuid
required
string

The unique Id of the primary device.

configName
string

Configuration name

peerIp
required
string

Peer IP address

peerSharedKey
required
string

Peer shared key

remoteAsn
required
integer <int64>

Remote Customer ASN - Customer side

remoteIpAddress
required
string

Remote Customer IP Address - Customer side

password
required
string

BGP Password

localAsn
integer <int64>

Local ASN - Equinix side

tunnelIp
required
string

Local Tunnel IP Address in CIDR format

object (VpnRequest)

VPN request details

configName
string

Configuration name

peerIp
required
string

Peer IP address

peerSharedKey
required
string

Peer shared key

remoteAsn
required
integer <int64>

Remote Customer ASN - Customer side

remoteIpAddress
required
string

Remote Customer IP Address - Customer side

password
required
string

BGP Password

localAsn
integer <int64>

Local ASN - Equinix side

tunnelIp
required
string

Local Tunnel IP Address in CIDR format

Responses

Response Schema: application/json
siteName
required
string

Site name

uuid
string

Connection UUID

virtualDeviceUuid
required
string

Virtual device UUID

configName
string

Configuration name

status
string
[...]
